Get Default Collections
curl --request GET \
--url https://api-staging.unbridaled.ai/api/v2/defaults/collections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-staging.unbridaled.ai/api/v2/defaults/collections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-staging.unbridaled.ai/api/v2/defaults/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "bespoke_single",
"product_settings": [
{
"collection_id": "bespoke_single",
"mode": "SINGLE",
"ratio_enabled": true,
"ratio_max": null,
"ratio_min": null,
"shape": "round",
"title": "Round Diamond",
"types": [
"mined",
"lab grown"
],
"weight_max": 10,
"weight_min": 0
},
{
"collection_id": "bespoke_single",
"mode": "SINGLE",
"ratio_enabled": true,
"ratio_max": 1.55,
"ratio_min": 1.35,
"shape": "oval",
"title": "Oval Diamond",
"types": [
"mined",
"lab grown"
],
"weight_max": 10,
"weight_min": 0
},
{
"collection_id": "bespoke_single",
"mode": "SINGLE",
"ratio_enabled": true,
"ratio_max": 1.55,
"ratio_min": 1.3,
"shape": "emerald",
"title": "Emerald Diamond",
"types": [
"mined",
"lab grown"
],
"weight_max": 10,
"weight_min": 0
},
{
"collection_id": "bespoke_single",
"mode": "SINGLE",
"ratio_enabled": true,
"ratio_max": 1.55,
"ratio_min": 1.3,
"shape": "radiant",
"title": "Radiant Diamond",
"types": [
"mined",
"lab grown"
],
"weight_max": 10,
"weight_min": 0
},
{
"collection_id": "bespoke_single",
"mode": "SINGLE",
"ratio_enabled": true,
"ratio_max": 1.6,
"ratio_min": 1.45,
"shape": "pear",
"title": "Pear Diamond",
"types": [
"mined",
"lab grown"
],
"weight_max": 10,
"weight_min": 0
},
{
"collection_id": "bespoke_single",
"mode": "SINGLE",
"ratio_enabled": true,
"ratio_max": 1.6,
"ratio_min": 1.45,
"shape": "pear",
"title": "Asscher Diamond",
"types": [
"mined",
"lab grown"
],
"weight_max": 10,
"weight_min": 0
},
{
"collection_id": "bespoke_single",
"mode": "SINGLE",
"ratio_enabled": true,
"ratio_max": 1.054,
"ratio_min": 1,
"shape": "princess",
"title": "Princess Diamond",
"types": [
"mined",
"lab grown"
],
"weight_max": 10,
"weight_min": 0
},
{
"collection_id": "bespoke_single",
"mode": "SINGLE",
"ratio_enabled": true,
"ratio_max": 1.054,
"ratio_min": 1,
"shape": "cushion",
"title": "Square Cushion Diamond",
"types": [
"mined",
"lab grown"
],
"weight_max": 10,
"weight_min": 0
},
{
"collection_id": "bespoke_single",
"mode": "SINGLE",
"ratio_enabled": true,
"ratio_max": 1.2,
"ratio_min": 1.1,
"shape": "cushion",
"title": "Rectangular Cushion Diamond",
"types": [
"mined",
"lab grown"
],
"weight_max": 10,
"weight_min": 0
},
{
"collection_id": "bespoke_single",
"mode": "SINGLE",
"ratio_enabled": true,
"ratio_max": 2,
"ratio_min": 1.9,
"shape": "marquise",
"title": "Marquise Diamond",
"types": [
"mined",
"lab grown"
],
"weight_max": 10,
"weight_min": 0
}
],
"title": "Bespoke Single"
},
{
"id": "bespoke_pair",
"product_settings": [
{
"collection_id": "bespoke_pair",
"mode": "PAIR",
"ratio_enabled": true,
"ratio_max": null,
"ratio_min": null,
"shape": "round",
"title": "Round Diamond",
"types": [
"mined",
"lab grown"
],
"weight_max": 10,
"weight_min": 0
},
{
"collection_id": "bespoke_pair",
"mode": "PAIR",
"ratio_enabled": true,
"ratio_max": 1.55,
"ratio_min": 1.35,
"shape": "oval",
"title": "Oval Diamond",
"types": [
"mined",
"lab grown"
],
"weight_max": 10,
"weight_min": 0
},
{
"collection_id": "bespoke_pair",
"mode": "PAIR",
"ratio_enabled": true,
"ratio_max": 1.55,
"ratio_min": 1.3,
"shape": "emerald",
"title": "Emerald Diamond",
"types": [
"mined",
"lab grown"
],
"weight_max": 10,
"weight_min": 0
},
{
"collection_id": "bespoke_pair",
"mode": "PAIR",
"ratio_enabled": true,
"ratio_max": 1.55,
"ratio_min": 1.3,
"shape": "radiant",
"title": "Radiant Diamond",
"types": [
"mined",
"lab grown"
],
"weight_max": 10,
"weight_min": 0
},
{
"collection_id": "bespoke_pair",
"mode": "PAIR",
"ratio_enabled": true,
"ratio_max": 1.6,
"ratio_min": 1.45,
"shape": "pear",
"title": "Pear Diamond",
"types": [
"mined",
"lab grown"
],
"weight_max": 10,
"weight_min": 0
},
{
"collection_id": "bespoke_pair",
"mode": "PAIR",
"ratio_enabled": true,
"ratio_max": 1.6,
"ratio_min": 1.45,
"shape": "pear",
"title": "Asscher Diamond",
"types": [
"mined",
"lab grown"
],
"weight_max": 10,
"weight_min": 0
},
{
"collection_id": "bespoke_pair",
"mode": "PAIR",
"ratio_enabled": true,
"ratio_max": 1.054,
"ratio_min": 1,
"shape": "princess",
"title": "Princess Diamond",
"types": [
"mined",
"lab grown"
],
"weight_max": 10,
"weight_min": 0
},
{
"collection_id": "bespoke_pair",
"mode": "PAIR",
"ratio_enabled": true,
"ratio_max": 1.054,
"ratio_min": 1,
"shape": "cushion",
"title": "Square Cushion Diamond",
"types": [
"mined",
"lab grown"
],
"weight_max": 10,
"weight_min": 0
},
{
"collection_id": "bespoke_pair",
"mode": "PAIR",
"ratio_enabled": true,
"ratio_max": 1.2,
"ratio_min": 1.1,
"shape": "cushion",
"title": "Rectangular Cushion Diamond",
"types": [
"mined",
"lab grown"
],
"weight_max": 10,
"weight_min": 0
},
{
"collection_id": "bespoke_pair",
"mode": "PAIR",
"ratio_enabled": true,
"ratio_max": 2,
"ratio_min": 1.9,
"shape": "marquise",
"title": "Marquise Diamond",
"types": [
"mined",
"lab grown"
],
"weight_max": 10,
"weight_min": 0
}
],
"title": "Bespoke Pair"
}
]Defaults
Get Default Collections
Get Default Collections for the bespoke collections on console. These values will be used with the GetDiamondsByMerchant Template. Requires any valid token.
GET
/
api
/
v2
/
defaults
/
collections
Get Default Collections
⌘I